Create a new replication for an on-premises system
POST /replication/onprem
Creates a new replication to an on-premises system.
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
replicationRequest |
True |
||
replicationVolume |
True |
Example request
{
"replicationRequest": {
"sourceWorkingEnvironmentId": "string",
"destinationWorkingEnvironmentId": "string",
"sourceInterclusterLifIps": [
"string"
],
"destinationInterclusterLifIps": [
"string"
],
"policyName": "string",
"scheduleName": "string",
"sourceIpSpace": "string",
"destinationIpSpace": "string"
},
"replicationVolume": {
"sourceSvmName": "string",
"sourceVolumeName": "string",
"destinationVolumeName": "string",
"destinationAggregateName": "string",
"destinationSvmName": "string",
"destinationCapacityTier": "string",
"tieringPolicy": "string"
}
}
Error
Status: Default, Default response
Definitions
See Definitions
ReplicationRequest
| Name | Type | Required | Description |
|---|---|---|---|
sourceWorkingEnvironmentId |
string |
True |
Source system ID |
destinationWorkingEnvironmentId |
string |
True |
Destination system ID |
sourceInterclusterLifIps |
array[string] |
True |
Source intercluster LIF IPs |
destinationInterclusterLifIps |
array[string] |
True |
Destination intercluster LIF IPs |
policyName |
string |
True |
SnapMirror policy name |
scheduleName |
string |
False |
Schedule name |
maxTransferRate |
integer |
False |
Maximum transfer rate limit (KB/s). Use 0 for no limit, otherwise use number between 1024 and 2,147,482,624 |
sourceIpSpace |
string |
False |
Source IpSpace |
destinationIpSpace |
string |
False |
Destination IpSpace |
minimumCoolingDays
Cooling Days
OnPremVolumeRequest
| Name | Type | Required | Description |
|---|---|---|---|
sourceSvmName |
string |
True |
Source SVM name |
sourceVolumeName |
string |
True |
Source volume name |
destinationVolumeName |
string |
True |
Destination volume name |
destinationAggregateName |
string |
True |
Destination aggregate name |
destinationSvmName |
string |
True |
Destination SVM name |
destinationCapacityTier |
string |
False |
Destination aggregate capacity tier |
tieringPolicy |
string |
False |
Tiering policy |
minimumCoolingDays |
False |
Cooling Days |